_SoundLevel = function () {
  this.muted = 0;
  this.low = 1;
  this.full = 2;
}
exports.SoundLevel = new _SoundLevel();

_MediaPlaybackType = function () {
  this.unknown = 0;
  this.music = 1;
  this.video = 2;
  this.image = 3;
}
exports.MediaPlaybackType = new _MediaPlaybackType();

_MediaPlaybackStatus = function () {
  this.closed = 0;
  this.changing = 1;
  this.stopped = 2;
  this.playing = 3;
  this.paused = 4;
}
exports.MediaPlaybackStatus = new _MediaPlaybackStatus();

_SystemMediaTransportControlsButton = function () {
  this.play = 0;
  this.pause = 1;
  this.stop = 2;
  this.record = 3;
  this.fastForward = 4;
  this.rewind = 5;
  this.next = 6;
  this.previous = 7;
  this.channelUp = 8;
  this.channelDown = 9;
}
exports.SystemMediaTransportControlsButton = new _SystemMediaTransportControlsButton();

_SystemMediaTransportControlsProperty = function () {
  this.soundLevel = 0;
}
exports.SystemMediaTransportControlsProperty = new _SystemMediaTransportControlsProperty();

_AudioProcessing = function () {
  this.default = 0;
  this.raw = 1;
}
exports.AudioProcessing = new _AudioProcessing();

MediaControl = (function () {
  var cls = function MediaControl() {
  };
  

  cls.trackName = new String();
  cls.isPlaying = new Boolean();
  cls.artistName = new String();
  cls.albumArt = new Object();
  cls.soundLevel = new SoundLevel();
    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.MediaControl = MediaControl;

IMediaMarker = (function () {
  var cls = function IMediaMarker() {
    this.mediaMarkerType = new String();
    this.text = new String();
    this.time = new Number();
  };
  

  return cls;
}) ();
exports.IMediaMarker = IMediaMarker;

IMediaMarkers = (function () {
  var cls = function IMediaMarkers() {
    this.markers = new Object();
  };
  

  return cls;
}) ();
exports.IMediaMarkers = IMediaMarkers;

MediaMarkerTypes = (function () {
  var cls = function MediaMarkerTypes() {
  };
  

  cls.bookmark = new String();
  return cls;
}) ();
exports.MediaMarkerTypes = MediaMarkerTypes;

MusicDisplayProperties = (function () {
  var cls = function MusicDisplayProperties() {
    this.title = new String();
    this.artist = new String();
    this.albumArtist = new String();
  };
  

  return cls;
}) ();
exports.MusicDisplayProperties = MusicDisplayProperties;

VideoDisplayProperties = (function () {
  var cls = function VideoDisplayProperties() {
    this.title = new String();
    this.subtitle = new String();
  };
  

  return cls;
}) ();
exports.VideoDisplayProperties = VideoDisplayProperties;

ImageDisplayProperties = (function () {
  var cls = function ImageDisplayProperties() {
    this.title = new String();
    this.subtitle = new String();
  };
  

  return cls;
}) ();
exports.ImageDisplayProperties = ImageDisplayProperties;

SystemMediaTransportControlsDisplayUpdater = (function () {
  var cls = function SystemMediaTransportControlsDisplayUpdater() {
    this.type = new MediaPlaybackType();
    this.thumbnail = new Object();
    this.appMediaId = new String();
    this.imageProperties = new ImageDisplayProperties();
    this.musicProperties = new MusicDisplayProperties();
    this.videoProperties = new VideoDisplayProperties();
  };
  

  cls.prototype.copyFromFileAsync = function copyFromFileAsync(type, source, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="type" type="MediaPlaybackType">A param.</param>
    /// <param name="source" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.clearAll = function clearAll() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.update = function update() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  return cls;
}) ();
exports.SystemMediaTransportControlsDisplayUpdater = SystemMediaTransportControlsDisplayUpdater;

SystemMediaTransportControlsButtonPressedEventArgs = (function () {
  var cls = function SystemMediaTransportControlsButtonPressedEventArgs() {
    this.button = new SystemMediaTransportControlsButton();
  };
  

  return cls;
}) ();
exports.SystemMediaTransportControlsButtonPressedEventArgs = SystemMediaTransportControlsButtonPressedEventArgs;

SystemMediaTransportControlsPropertyChangedEventArgs = (function () {
  var cls = function SystemMediaTransportControlsPropertyChangedEventArgs() {
    this.property = new SystemMediaTransportControlsProperty();
  };
  

  return cls;
}) ();
exports.SystemMediaTransportControlsPropertyChangedEventArgs = SystemMediaTransportControlsPropertyChangedEventArgs;

SystemMediaTransportControls = (function () {
  var cls = function SystemMediaTransportControls() {
    this.playbackStatus = new MediaPlaybackStatus();
    this.isStopEnabled = new Boolean();
    this.isRewindEnabled = new Boolean();
    this.isRecordEnabled = new Boolean();
    this.isPreviousEnabled = new Boolean();
    this.isPlayEnabled = new Boolean();
    this.isPauseEnabled = new Boolean();
    this.isNextEnabled = new Boolean();
    this.isFastForwardEnabled = new Boolean();
    this.isEnabled = new Boolean();
    this.isChannelUpEnabled = new Boolean();
    this.isChannelDownEnabled = new Boolean();
    this.displayUpdater = new SystemMediaTransportControlsDisplayUpdater();
    this.soundLevel = new SoundLevel();
  };
  

  cls.getForCurrentView = function getForCurrentView() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="SystemMediaTransportControls" />
    /// </signature>
    return new SystemMediaTransportControls();
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.SystemMediaTransportControls = SystemMediaTransportControls;

IMediaExtension = (function () {
  var cls = function IMediaExtension() {
  };
  

  cls.prototype.setProperties = function setProperties(configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.IMediaExtension = IMediaExtension;

MediaExtensionManager = (function () {
  var cls = function MediaExtensionManager() {
  };
  

  cls.prototype.registerSchemeHandler = function registerSchemeHandler(activatableClassId, scheme) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="scheme" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerSchemeHandler = function registerSchemeHandler(activatableClassId, scheme, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="scheme" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.registerByteStreamHandler = function registerByteStreamHandler(activatableClassId, fileExtension, mimeType) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="fileExtension" type="String">A param.</param>
    /// <param name="mimeType" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerByteStreamHandler = function registerByteStreamHandler(activatableClassId, fileExtension, mimeType, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="fileExtension" type="String">A param.</param>
    /// <param name="mimeType" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.registerAudioDecoder = function registerAudioDecoder(activatableClassId, inputSubtype, outputSubtype) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerAudioDecoder = function registerAudioDecoder(activatableClassId, inputSubtype, outputSubtype, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.registerAudioEncoder = function registerAudioEncoder(activatableClassId, inputSubtype, outputSubtype) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerAudioEncoder = function registerAudioEncoder(activatableClassId, inputSubtype, outputSubtype, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.registerVideoDecoder = function registerVideoDecoder(activatableClassId, inputSubtype, outputSubtype) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerVideoDecoder = function registerVideoDecoder(activatableClassId, inputSubtype, outputSubtype, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.registerVideoEncoder = function registerVideoEncoder(activatableClassId, inputSubtype, outputSubtype) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.registerVideoEncoder = function registerVideoEncoder(activatableClassId, inputSubtype, outputSubtype, configuration) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="activatableClassId" type="String">A param.</param>
    /// <param name="inputSubtype" type="String">A param.</param>
    /// <param name="outputSubtype" type="String">A param.</param>
    /// <param name="configuration" type="Object">A param.</param>
    /// </signature>
  }


  return cls;
}) ();
exports.MediaExtensionManager = MediaExtensionManager;

VideoEffects = (function () {
  var cls = function VideoEffects() {
  };
  

  cls.videoStabilization = new String();
  return cls;
}) ();
exports.VideoEffects = VideoEffects;

